
/*
 *  FILES.H
 *
 */

#include <stdio.h>
#include <local/typedefs.h>

#define GAD_INFO    1
#define GAD_DEL     2
#define GAD_UNDO    3
#define GAD_ALL     4

#define GAD_VOLUME  8
#define GAD_PATTERN 9
#define GAD_COMMENT 10
#define GAD_SLIDER  11
#define GAD_BIGBOX  12

#define MEN_SAVE    1
#define MEN_SAVEAS  2
#define MEN_LOAD    3
#define MEN_LOADEF  4
#define MEN_QUIT    5
#define MEN_KILLPAT 6

#define title(str)  SetWindowTitles(Win,(str),NULL)
#define KILLNAME    "@@KILLPAT"

#define RECORD	struct _RECORD

/*
 *  Each record is stored in the following structure.
 */

#define R_SELECTED  0x01    /*	A selected item 			    */
#define R_KILLPAT   0x02    /*	deleted item (undoable)                     */
#define R_UPDATE    0x04    /*	flag delete (used for updating a volume)    */
#define R_SOFTERR   0x08    /*	software error if ever encountered!	    */

RECORD {
    RECORD  *next;	/*  record list, doubly linked	    */
    RECORD  *prev;
    char    *comment;	/*  comment	     */
    char    *name;	/*  entire file name */
    long    bytes;	/*  file size	     */
    short   flags;
};

extern WIN *OpenWindow();
extern void *malloc();
extern void *GetMsg();
extern void *AllocMem();

extern RECORD *allocrecord();
extern char   *allocstr();

extern RECORD *Rbase;
extern RECORD *Highlighted;
extern WIN    *Win;
extern RP     *Rp;
extern long   NumEntries;
extern short  Modified;


